# B15F: PlottyFile Class Reference

PlottyFile Class Reference

`#include <plottyfile.h>`

## Public Member Functions

void | addDot (Dot &dot)
void | addDot (Dot dot)
void | setFunctionType (FunctionType function_type)
void | setQuadrant (uint8_t quadrant)
void | setRefX (uint16_t ref_x)
void | setRefY (uint16_t ref_y)
void | setParaFirstCurve (uint16_t para_first)
void | setParaStepWidth (uint16_t para_stepwidth)
void | setUnitX (std::string unit_x)
void | setDescX (std::string desc_x)
void | setUnitY (std::string unit_y)
void | setDescY (std::string desc_y)
void | setUnitPara (std::string unit_para)
void | setDescPara (std::string desc_para)
FunctionType | getFunctionType (void) const
uint8_t | getQuadrant (void) const
uint16_t | getRefX (void) const
uint16_t | getRefY (void) const
uint16_t | getParaFirstCurve (void) const
uint16_t | getParaStepWidth (void) const
std::string | getUnitX (void) const
std::string | getDescX (void) const
std::string | getUnitY (void) const
std::string | getDescY (void) const
std::string | getUnitPara (void) const
std::string | getDescPara (void) const
void | writeToFile (std::string filename)
void | startPlotty (std::string filename)

## Detailed Description

Wrapper class for convenient plot file creation, needed to display graphs using plotty.

Definition at line 20 of file plottyfile.h.

## Member Function Documentation

## addDot() [1/2]

void PlottyFile::addDot | ( | Dot & | dot | ) |

Adds a dot to the plotty file.

Parameters

  dot | the dot

Definition at line 3 of file plottyfile.cpp.

## addDot() [2/2]

void PlottyFile::addDot | ( | Dot | dot | ) |

Adds a dot by reference to the plotty file.

Parameters

  dot | the dot

Definition at line 8 of file plottyfile.cpp.

## getDescPara()

std::string PlottyFile::getDescPara | ( | void |  | ) | const

Returns
  description of parameter

Definition at line 130 of file plottyfile.cpp.

## getDescX()

std::string PlottyFile::getDescX | ( | void |  | ) | const

Returns
  description of x axis

Definition at line 110 of file plottyfile.cpp.

## getDescY()

std::string PlottyFile::getDescY | ( | void |  | ) | const

Returns
  description of y axis

Definition at line 120 of file plottyfile.cpp.

## getFunctionType()

FunctionType PlottyFile::getFunctionType | ( | void |  | ) | const

Returns
  the FunctionType

Definition at line 75 of file plottyfile.cpp.

## getParaFirstCurve()

uint16_t PlottyFile::getParaFirstCurve | ( | void |  | ) | const

Returns
  initial parameter value

Definition at line 95 of file plottyfile.cpp.

## getParaStepWidth()

uint16_t PlottyFile::getParaStepWidth | ( | void |  | ) | const

Returns
  parameter stepwith

Definition at line 100 of file plottyfile.cpp.

## getQuadrant()

uint8_t PlottyFile::getQuadrant | ( | void |  | ) | const

Returns
  the quadrant

Definition at line 80 of file plottyfile.cpp.

## getRefX()

uint16_t PlottyFile::getRefX | ( | void |  | ) | const

Returns
  x reference (max) value

Definition at line 85 of file plottyfile.cpp.

## getRefY()

uint16_t PlottyFile::getRefY | ( | void |  | ) | const

Returns
  y reference (max) value

Definition at line 90 of file plottyfile.cpp.

## getUnitPara()

std::string PlottyFile::getUnitPara | ( | void |  | ) | const

Returns
  unit of parameter

Definition at line 125 of file plottyfile.cpp.

## getUnitX()

std::string PlottyFile::getUnitX | ( | void |  | ) | const

Returns
  unit of x axis

Definition at line 105 of file plottyfile.cpp.

## getUnitY()

std::string PlottyFile::getUnitY | ( | void |  | ) | const

Returns
  unit of y axis

Definition at line 115 of file plottyfile.cpp.

## setDescPara()

void PlottyFile::setDescPara | ( | std::string | desc_para | ) |

Sets the description of the parameter.

Parameters

  para_first | description

Definition at line 70 of file plottyfile.cpp.

## setDescX()

void PlottyFile::setDescX | ( | std::string | desc_x | ) |

Sets the description of the x axis.

Parameters

  para_first | description

Definition at line 50 of file plottyfile.cpp.

## setDescY()

void PlottyFile::setDescY | ( | std::string | desc_y | ) |

Sets the description of the y axis.

Parameters

  para_first | description

Definition at line 60 of file plottyfile.cpp.

## setFunctionType()

void PlottyFile::setFunctionType | ( | FunctionType | function_type | ) |

Sets the FunctionType of this plotty file.

Parameters

  function_type | enum value

Definition at line 13 of file plottyfile.cpp.

## setParaFirstCurve()

void PlottyFile::setParaFirstCurve | ( | uint16_t | para_first | ) |

Sets initial value of the parameter. Gets used together with the stepwith to label the curves.

Parameters

  para_first | initial parameter value

Definition at line 35 of file plottyfile.cpp.

## setParaStepWidth()

void PlottyFile::setParaStepWidth | ( | uint16_t | para_stepwidth | ) |

Sets the stepwith the parameter got increased with each curve.

Parameters

  para_first | parameter stepwith

Definition at line 40 of file plottyfile.cpp.

## setQuadrant()

void PlottyFile::setQuadrant | ( | uint8_t | quadrant | ) |

Sets the quadrant of this plot.

Parameters

  quadrant | quadrant number (1..4)

Definition at line 18 of file plottyfile.cpp.

## setRefX()

void PlottyFile::setRefX | ( | uint16_t | ref_x | ) |

Sets reference (max) value of the x axis

Parameters

  ref_x | reference value

Definition at line 25 of file plottyfile.cpp.

## setRefY()

void PlottyFile::setRefY | ( | uint16_t | ref_y | ) |

Sets reference (max) value of the y axis

Parameters

  ref_y | reference value

Definition at line 30 of file plottyfile.cpp.

## setUnitPara()

void PlottyFile::setUnitPara | ( | std::string | unit_para | ) |

Sets the unit of the parameter.

Parameters

  para_first | unit

Definition at line 65 of file plottyfile.cpp.

## setUnitX()

void PlottyFile::setUnitX | ( | std::string | unit_x | ) |

Sets the unit of the x axis.

Parameters

  para_first | unit

Definition at line 45 of file plottyfile.cpp.

## setUnitY()

void PlottyFile::setUnitY | ( | std::string | unit_y | ) |

Sets the unit of the y axis.

Parameters

  para_first | unit

Definition at line 55 of file plottyfile.cpp.

## startPlotty()

void PlottyFile::startPlotty | ( | std::string | filename | ) |

Starts plotty with a plot file.

Parameters

  filename | plot path

Definition at line 196 of file plottyfile.cpp.

## writeToFile()

void PlottyFile::writeToFile | ( | std::string | filename | ) |

Saves the PlottyFile in a binary format, ready to open with plotty.

Parameters

  filename | desired plot path

Definition at line 147 of file plottyfile.cpp.

The documentation for this class was generated from the following files:

- drv/plottyfile.h
- drv/plottyfile.cpp